Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Class KeyAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.KeyAction

All Implemented Interfaces:
  EventListener, KeyListener

public class KeyAction
extends AbstractAction
implements KeyListener

Actionimplementierung fuer KeyEvents.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`KeyAction()`

Method Summary
`void` | `doKeyPressed(KeyEvent ke)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doKeyReleased(KeyEvent ke)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doKeyTyped(KeyEvent ke)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `keyPressed(KeyEvent ke)`
`void` | `keyReleased(KeyEvent ke)`
`void` | `keyTyped(KeyEvent ke)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyAction

    public KeyAction()

Method Detail

### keyTyped

    public void keyTyped(KeyEvent ke)

  Specified by:
    `keyTyped` in interface `KeyListener`

### doKeyTyped

    public void doKeyTyped(KeyEvent ke)
                    throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ke` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### keyPressed

    public void keyPressed(KeyEvent ke)

  Specified by:
    `keyPressed` in interface `KeyListener`

### doKeyPressed

    public void doKeyPressed(KeyEvent ke)
                      throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ke` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### keyReleased

    public void keyReleased(KeyEvent ke)

  Specified by:
    `keyReleased` in interface `KeyListener`

### doKeyReleased

    public void doKeyReleased(KeyEvent ke)
                       throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ke` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD